
QGIS Application - Bug report #20746

QGIS 3.4 is very unstable on my Windows 10 laptop

2018-12-06 08:05 PM - Peter Mast

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.4.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28566

Description

QGIS 3.4.1 or 3.4.2 is very unstable on my Windows 10 laptop and crashes every time. For example when I try to load a raster or vector

layer with the Add Layer function.

I have QGIS 3.4.x stand alone installed together with the older version 2.18.2 Can that be the cause?

=================================================================================

Crash report details:

Crash ID: e6b54aaed30dc3e2ab0998571609b65ded384725

Stack Trace

RtlFreeHeap :

free :

DllUnregisterServer :

DllUnregisterServer :

CoGetTreatAsClass :

CoReleaseMarshalData :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoReleaseMarshalData :

CoReleaseMarshalData :

CoReleaseMarshalData :

CoCreateInstance :

CoCreateInstance :

CoCreateInstance :

SHCreateItemInKnownFolder :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

SHELL32_IconOverlayManagerInit :

SHELL32_IconOverlayManagerInit :

NeverProvidedByJunction :

NeverProvidedByJunction :
NeverProvidedByJunction :

Ordinal873 :

NeverProvidedByJunction :

NeverProvidedByJunction :

DllCanUnloadNow :

SHCreateItemWithParent :

SHCreateItemWithParent :

SHCreateItemWithParent :

GetScaleFactorForMonitor :

A_SHAUpdate :

RtlReleaseSRWLockExclusive :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: 22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2018-12-07 10:43 AM - Charly Tristavirs

Same problem, with or without 2.18 on the same cputer.

I have an evolution since 3.4.2 : QGIS crashed at start and now QGIS crashes opening a project or charging a postgis layer.

Once, I could open a shapefile layer but crashed after.

#2 - 2018-12-07 12:16 PM - Saber Razmjooei

Try to start with a fresh profile and disable all 3rd party plugins.

It is an overused recommendation, but trust me it solves 99% of the problems.

#3 - 2018-12-07 12:16 PM - Saber Razmjooei

- Assignee deleted (Peter Mast)

- Status changed from Open to Feedback

#4 - 2018-12-07 04:25 PM - Jürgen Fischer
- Resolution set to duplicate

- Status changed from Feedback to Closed

#5 - 2018-12-07 04:26 PM - Jürgen Fischer

- Duplicates Bug report #18260: qgis 3 crashes at start added
